Page MenuHomePhabricator

[NVPTX] TblGen-ized lowering of WMMA intrinsics.
ClosedPublic

Authored by tra on Feb 9 2018, 5:18 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

tra created this revision.Feb 9 2018, 5:18 PM

Some comments, but mainly I'm just bewildered by tablegen.

llvm/lib/Target/NVPTX/NVPTXISelDAGToDAG.cpp
3636 ↗(On Diff #133724)

Is it worth having a comment on this one?

llvm/lib/Target/NVPTX/NVPTXIntrinsics.td
7420 ↗(On Diff #133724)

Can we make WithStride a bool, or is that not supported?

7426 ↗(On Diff #133724)

It's sort of a nit, but: I think I see what you're trying to do with the alignment of # under the paren, but it doesn't totally work for me, especially when we add a space *after* the #.

Maybe you could just pull the #s up onto the line above? Then we don't have any of these issues.

7505 ↗(On Diff #133724)

Dead code?

tra updated this revision to Diff 133957.Feb 12 2018, 4:28 PM
tra marked 3 inline comments as done.

Updated to address Justin's comments.

llvm/lib/Target/NVPTX/NVPTXIntrinsics.td
7420 ↗(On Diff #133724)

Alas, there are no bools in tablegen. I can replace it with 'bit', though.

jlebar accepted this revision.Feb 12 2018, 5:13 PM
jlebar added inline comments.
llvm/lib/Target/NVPTX/NVPTXIntrinsics.td
7437 ↗(On Diff #133957)

"that will match" or "that matches"

This revision is now accepted and ready to land.Feb 12 2018, 5:13 PM
tra updated this revision to Diff 133973.Feb 12 2018, 6:20 PM

Re-formatted string construction bits to be a bit more readable.

tra updated this revision to Diff 138270.Mar 13 2018, 4:04 PM

Removed temp vars that are no longer needed after recent tblgen improvements.

This revision was automatically updated to reflect the committed changes.